Skip to content

Support Users

Operations Summary

Method Endpoint Description
Core CRUD
GET /api/support-users/ List Support Users
GET /api/support-users/{uuid}/ Retrieve
POST /api/support-users/ Create
PUT /api/support-users/{uuid}/ Update
PATCH /api/support-users/{uuid}/ Partial Update
DELETE /api/support-users/{uuid}/ Delete
Other Actions
GET /api/support-users/{uuid}/connections/ Connections
POST /api/support-users/{uuid}/merge/ Merge

Core CRUD

List Support Users

1
2
3
4
http \
  GET \
  https://api.example.com/api/support-users/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.support_user_o_enum import SupportUserOEnum # (1)
from waldur_api_client.models.waldursupportactivebackendtype_enum import WALDURSUPPORTACTIVEBACKENDTYPEEnum # (2)
from waldur_api_client.api.support_users import support_users_list # (3)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_users_list.sync(client=client)

for item in response:
    print(item)
  1. Model Source: SupportUserOEnum
  2. Model Source: WALDURSUPPORTACTIVEBACKENDTYPEEnum
  3. API Source: support_users_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { supportUsersList } from 'waldur-js-client';

try {
  const response = await supportUsersList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
backend_id string
backend_name string Helpdesk


Enum: basic, atlassian, zammad, smax
is_active boolean
name string
o array Ordering

page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
query string Search by name, backend ID or linked user name/email
user integer

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
url string (uri)
uuid string (uuid)
name string
backend_id string
backend_name string
is_active boolean Designates whether this user should be treated as active. Unselect this instead of deleting accounts.
user string (uri)
user_full_name string
user_email string
reported_issues_count integer
assigned_issues_count integer
comments_count integer
attachments_count integer

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/support-users/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support_users import support_users_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_users_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: support_users_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportUsersRetrieve } from 'waldur-js-client';

try {
  const response = await supportUsersRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
backend_id string
backend_name string
is_active boolean Designates whether this user should be treated as active. Unselect this instead of deleting accounts.
user string (uri)
user_full_name string
user_email string
reported_issues_count integer
assigned_issues_count integer
comments_count integer
attachments_count integer

Create

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/support-users/ \
  Authorization:"Token YOUR_API_TOKEN" \
  name="my-awesome-support-user"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.support_user_request import SupportUserRequest # (1)
from waldur_api_client.api.support_users import support_users_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = SupportUserRequest(
    name="my-awesome-support-user"
)
response = support_users_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: SupportUserRequest
  2. API Source: support_users_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportUsersCreate } from 'waldur-js-client';

try {
  const response = await supportUsersCreate({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "name": "my-awesome-support-user"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
name string
backend_id string
backend_name string
is_active boolean Designates whether this user should be treated as active. Unselect this instead of deleting accounts.
user string (uri)

201 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
backend_id string
backend_name string
is_active boolean Designates whether this user should be treated as active. Unselect this instead of deleting accounts.
user string (uri)
user_full_name string
user_email string
reported_issues_count integer
assigned_issues_count integer
comments_count integer
attachments_count integer

Update

1
2
3
4
5
http \
  PUT \
  https://api.example.com/api/support-users/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  name="my-awesome-support-user"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.support_user_request import SupportUserRequest # (1)
from waldur_api_client.api.support_users import support_users_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = SupportUserRequest(
    name="my-awesome-support-user"
)
response = support_users_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: SupportUserRequest
  2. API Source: support_users_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { supportUsersUpdate } from 'waldur-js-client';

try {
  const response = await supportUsersUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "name": "my-awesome-support-user"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
name string
backend_id string
backend_name string
is_active boolean Designates whether this user should be treated as active. Unselect this instead of deleting accounts.
user string (uri)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
backend_id string
backend_name string
is_active boolean Designates whether this user should be treated as active. Unselect this instead of deleting accounts.
user string (uri)
user_full_name string
user_email string
reported_issues_count integer
assigned_issues_count integer
comments_count integer
attachments_count integer

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/support-users/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_support_user_request import PatchedSupportUserRequest # (1)
from waldur_api_client.api.support_users import support_users_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedSupportUserRequest()
response = support_users_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedSupportUserRequest
  2. API Source: support_users_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportUsersPartialUpdate } from 'waldur-js-client';

try {
  const response = await supportUsersPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
name string
backend_id string
backend_name string
is_active boolean Designates whether this user should be treated as active. Unselect this instead of deleting accounts.
user string (uri)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
backend_id string
backend_name string
is_active boolean Designates whether this user should be treated as active. Unselect this instead of deleting accounts.
user string (uri)
user_full_name string
user_email string
reported_issues_count integer
assigned_issues_count integer
comments_count integer
attachments_count integer

Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/support-users/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support_users import support_users_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_users_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: support_users_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportUsersDestroy } from 'waldur-js-client';

try {
  const response = await supportUsersDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body


Other Actions

Connections

1
2
3
4
http \
  GET \
  https://api.example.com/api/support-users/a1b2c3d4-e5f6-7890-abcd-ef1234567890/connections/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.support_users import support_users_connections_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = support_users_connections_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: support_users_connections_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { supportUsersConnectionsRetrieve } from 'waldur-js-client';

try {
  const response = await supportUsersConnectionsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type
reported_issues array of objects
reported_issues.uuid string (uuid)
reported_issues.key string
reported_issues.type string
reported_issues.summary string
reported_issues.status string
reported_issues.created string (date-time)
reported_issues.modified string (date-time)
assigned_issues array of objects
assigned_issues.uuid string (uuid)
assigned_issues.key string
assigned_issues.type string
assigned_issues.summary string
assigned_issues.status string
assigned_issues.created string (date-time)
assigned_issues.modified string (date-time)
comments array of objects
comments.uuid string (uuid)
comments.description string
comments.is_public boolean
comments.created string (date-time)
comments.issue_key string
comments.issue_uuid string (uuid)
attachments array of objects
attachments.uuid string (uuid)
attachments.file_name string
attachments.created string (date-time)
attachments.issue_key string
attachments.issue_uuid string (uuid)

Merge

1
2
3
4
5
http \
  POST \
  https://api.example.com/api/support-users/a1b2c3d4-e5f6-7890-abcd-ef1234567890/merge/ \
  Authorization:"Token YOUR_API_TOKEN" \
  source_users:='[]'
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.support_user_merge_request import SupportUserMergeRequest # (1)
from waldur_api_client.api.support_users import support_users_merge # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = SupportUserMergeRequest(
    source_users=[]
)
response = support_users_merge.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: SupportUserMergeRequest
  2. API Source: support_users_merge
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
import { supportUsersMerge } from 'waldur-js-client';

try {
  const response = await supportUsersMerge({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "source_users": []
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
source_users array of string (uuid)s Support users to merge into this one. They will be deleted and their issues, comments and attachments re-pointed to this user.

200 -

Field Type Description
url string (uri)
uuid string (uuid)
name string
backend_id string
backend_name string
is_active boolean Designates whether this user should be treated as active. Unselect this instead of deleting accounts.
user string (uri)
user_full_name string
user_email string
reported_issues_count integer
assigned_issues_count integer
comments_count integer
attachments_count integer